Bug 1066361 - (CVE-2013-6399) CVE-2013-6399 qemu: virtio: buffer overrun on incoming migration
CVE-2013-6399 qemu: virtio: buffer overrun on incoming migration
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131203,repor...
: Security
Depends On: 1095735 1095736 1095737 1095738 1096093 1102579 1102580 1110194 1110284 1110288 1133850
Blocks: 1036654 1110626 1133827
  Show dependency treegraph
 
Reported: 2014-02-18 04:46 EST by Petr Matousek
Modified: 2016-04-26 23:48 EDT (History)
45 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-22 07:22:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2014-02-18 04:46:25 EST
vdev->queue_sel is read from the wire, and later used in the emulation
code as an index into vdev->vq[]. If the value of vdev->queue_sel exceeds
the length of vdev->vq[], currently allocated to be VIRTIO_PCI_QUEUE_MAX
elements, subsequent PIO operations such as VIRTIO_PCI_QUEUE_PFN can be
used to overrun the buffer with arbitrary data.

An user able to alter the savevm data (either on the disk or over the wire
during migration) could use this flaw to to corrupt QEMU process memory on
the (destination) host, which could potentially result in arbitrary code
execution on the host with the privileges of the QEMU process.

Upstream fix:
-------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=4b53c2c72cb5541cf394033b528a6fe2a86c0ac1
Comment 1 Petr Matousek 2014-02-18 06:26:43 EST
Statement:

This issue does affect the versions of kvm package as shipped with
Red Hat Enterprise Linux 5.
Comment 4 Prasad J Pandit 2014-05-08 09:07:47 EDT
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1095736]
Comment 6 Fedora Update System 2014-05-16 05:59:35 EDT
qemu-1.6.2-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 errata-xmlrpc 2014-06-09 10:37:02 EDT
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0674 https://rhn.redhat.com/errata/RHSA-2014-0674.html
Comment 9 Murray McAllister 2014-06-10 03:55:09 EDT
Acknowledgements:

The issues were discovered as part of the state loading code audit performed by Michael S. Tsirkin of Red Hat, Anthony Liguori and Michael Roth.
Comment 10 errata-xmlrpc 2014-06-10 16:18:58 EDT
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0744 https://rhn.redhat.com/errata/RHSA-2014-0744.html
Comment 11 errata-xmlrpc 2014-06-10 16:19:49 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0743 https://rhn.redhat.com/errata/RHSA-2014-0743.html
Comment 15 errata-xmlrpc 2014-07-23 12:15:57 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0927 https://rhn.redhat.com/errata/RHSA-2014-0927.html
Comment 17 errata-xmlrpc 2014-07-24 11:38:55 EDT
This issue has been addressed in following products:

  OpenStack 4 for RHEL 6
  OpenStack 3 for RHEL 6

Via RHSA-2014:0888 https://rhn.redhat.com/errata/RHSA-2014-0888.html
Comment 19 errata-xmlrpc 2014-09-22 00:01:27 EDT
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 7

Via RHSA-2014:1268 https://rhn.redhat.com/errata/RHSA-2014-1268.html

Note You need to log in before you can comment on or make changes to this bug.